Bug 1300446 - Semi-transparent background behind some dialogs appear to be outdated screen captures.
Semi-transparent background behind some dialogs appear to be outdated screen ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: geany (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Josef Bacik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-20 15:40 EST by Corey Farrell
Modified: 2016-08-01 12:22 EDT (History)
5 users (show)

See Also:
Fixed In Version: geany-1.28-2.fc24 geany-1.28-2.fc23 geany-1.28-2.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-12 16:25:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Farrell 2016-01-20 15:40:53 EST
Description of problem:
When geany displays a dialog it uses a semi-transparent gray backdrop over the main window.  This sometimes displays an old view of the window.

Version-Release number of selected component (if applicable):
geany-1.26-1.fc23.x86_64
Running under cinnamon-2.8.6-1.fc23 window manager.

How reproducible:
Easily / Frequently.

Steps to Reproduce:
1. Open geany with an untitled / new document.
2. Add a test line to the document.
3. Run the "Open File" dialog by any means (File -> Open, Ctrl+O, the toolbar).
4. Note if the document in the background shows the latest test line in the background of the dialog.
5. Close the open dialog.
6. Perform steps 2-5 a second time on the same document.

Actual results:
The second time you run the open dialog you only see the first test line in the background.

Expected results:
Backdrop behind dialog should should not be based on old screen capture. 

Additional info:
This also happens when working with multiple tabs, often the wrong tab will show in the backdrop behind a dialog.  Linux Mint 17 / Cinnamon edition didn't have this issue but geany didn't gray out the background behind dialogs in that version.
Comment 1 Fedora Update System 2016-07-11 06:57:00 EDT
geany-1.28-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-bc288ce5ae
Comment 2 Fedora Update System 2016-07-11 06:57:40 EDT
geany-1.28-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-2bdc17945b
Comment 3 Fedora Update System 2016-07-11 06:58:07 EDT
geany-1.28-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-0953f0b536
Comment 4 Fedora Update System 2016-07-11 06:58:35 EDT
geany-1.28-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d68edce8de
Comment 5 Fedora Update System 2016-07-11 22:53:45 EDT
geany-1.28-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-0953f0b536
Comment 6 Fedora Update System 2016-07-11 23:27:06 EDT
geany-1.28-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d68edce8de
Comment 7 Fedora Update System 2016-07-11 23:55:05 EDT
geany-1.28-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-bc288ce5ae
Comment 8 Fedora Update System 2016-07-11 23:58:44 EDT
geany-1.28-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-2bdc17945b
Comment 9 Fedora Update System 2016-07-12 16:25:11 EDT
geany-1.28-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2016-07-19 18:21:59 EDT
geany-1.28-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2016-08-01 12:21:59 EDT
geany-1.28-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.